i2o_proc_iop_remove
Prev | I2O message devices | Next

## Name

i2o_proc_iop_remove — Removes an I2O controller from the i2o proc tree

## Synopsis

`void i2o_proc_iop_remove (` | struct proc_dir_entry * | dir,
| struct i2o_controller * | c`)`;

## Arguments

`dir`

  parent proc dir entry

`c`

  I2O controller which should be removed

## Description

Iterate over each i2o proc entry and search controller c. If it is found remove it from the tree.

Prev | Up | Next
i2o_proc_iop_add | Home | i2o_proc_fs_create